<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
                exclude-result-prefixes="doc"
                version='1.0'>

<xsl:output method="html"
            encoding="ISO-8859-1"
            indent="no"/>


<xsl:template match="Studienplan">
	<html>
	<head>
		<title>Studienplan</title>
	</head>
	<body>
		<div align="center"><h1>Studienplan</h1></div>
		<xsl:apply-templates />
	
	</body>
	</html>
</xsl:template>

<xsl:template match="logo">
<div align="center">
	<p>
	 <img src="{.}"></img>
	</p>
</div>
</xsl:template>


<xsl:template match="/">
		<xsl:apply-templates/>
</xsl:template>

<xsl:template match="Studiengang">  
	<div align="center">
		<h2>
			<xsl:text>Studiengang:</xsl:text>
			<xsl:value-of select="."/>
		</h2>
	</div>
</xsl:template>

<xsl:template match="Semester">
	<div align="center">
		<h2>
			<xsl:text>Semester:</xsl:text>
			<xsl:value-of select="."/>
			<xsl:text>Halbjahr:</xsl:text>
			<xsl:if test="./@Halbjahr='S'">
				<xsl:text>Sommer</xsl:text>
			</xsl:if>
			<xsl:if test="./@Halbjahr='W'">
				<xsl:text>Winter</xsl:text>
			</xsl:if>
		</h2>
	</div>
</xsl:template>

<xsl:template match="Tag">
   	<hr />
	<div align="left">
  	<xsl:text>Wochentag:&#160;</xsl:text>
  	<xsl:value-of select="./@Name"/>
	<ul>
  	     <xsl:apply-templates select="Eintrag"/>
	</ul>
	</div>
</xsl:template>


<xsl:template match="Eintrag">
	<li>
  	<xsl:text>EDV:&#160;</xsl:text>
  	<b>
  	<xsl:value-of select="./@EDVNummer"/>
  	</b>
  	
	<xsl:text>&#160;</xsl:text>
	<xsl:text>Zeit:&#160;</xsl:text>
      <b>
  	<xsl:value-of select="./Zeit"/>
	</b>
  	<xsl:text>&#160;</xsl:text>

  	<xsl:text>&#160;</xsl:text>
  	<xsl:text>Dozent:&#160;</xsl:text>
  	<xsl:text>&#160;</xsl:text>
  	<xsl:value-of select="./Dozent"/>


  	<xsl:text>Titel:&#160;</xsl:text>
  	<xsl:text>&#160;</xsl:text>
  	<xsl:value-of select="./Titel"/>

  	<xsl:text>&#160;</xsl:text>
  	<xsl:text>Voraussetzung:&#160;</xsl:text>
  	<xsl:text>&#160;</xsl:text>
  	<xsl:value-of select="./Voraussetzung"/>

  	<xsl:text>&#160;</xsl:text>
  	<xsl:text>Beschreibung:&#160;</xsl:text>
  	<xsl:text>&#160;</xsl:text>
  	<xsl:value-of select="./Beschreibung"/>

  	<xsl:text>&#160;</xsl:text>
  	<xsl:text>Raum:&#160;</xsl:text>
  	<xsl:text>&#160;</xsl:text>
  	<b>
  	<xsl:value-of select="./Raum"/>
  	</b>

  	</li>
</xsl:template>

<xsl:template match="Summe">
   	<hr />
	<div align="center">
      <br />
	<h2>Summe: &#160;	  <xsl:value-of select="."/></h2>
	</div>
</xsl:template>

</xsl:stylesheet>
